/* saladshooter.h - a word salad generator */
/* Created: Wed Dec 13 11:40:02 AM EST 2023 malakai */
/* Copyright © 1991-2023 The Last Outpost Project */

/* Based on salad.h from "Strange Attractor" Copyright © 2015, used
 * with permission. */

/* Sun Dec 17 03:37:27 PM EST 2023
 * This code is taken from the Last Outpost Project and made available by the
 * author through the Last Outpost Code Archive: <rahjiii@jeffrika.com>
 * (https://www.last-outpost.com/LO/pubcode) Feel free to use it as you see
 * fit. */

/* $Id: saladshooter.h,v 1.1 2023/12/17 20:33:05 malakai Exp $*/

#ifndef LO_SALAD_H
#define LO_SALAD_H

/* ---- Exported Functions ---- */
void saladshooter_init(char *filename);
int saladshooter(char *out, size_t outlen, const char *from);
void saladshooter_free(void);

#ifdef _json_h_
/* export these definitions if json-c/json.h has been included, otherwise keep
 * 'em private. */
json_object *saladshooter_loaddb(char *filename);
int saladshooter_json(char *out, size_t outlen, json_object *dbobj, const char *from,int depth);
#endif

/* Game specific integration functions */
void do_saladname(struct char_data * ch, char *argument, int cmd);
int fakename_for_char(char *out, size_t outlen,int race,int sex);

#endif /* LO_SALAD_H */
